package com.kitlocate.driving;

import android.content.Context;

import com.kitlocate.periodic.R;
import com.kl.kitlocate.*;
import com.kl.kitlocate.KLMotionDetection.MOTION_STATE;

public class KitLocateCallbacks 
{
	
	public static void onMotionStateChanged(Context context, MOTION_STATE state)
	{
		new KLLocalNotification(context, "Driving state changed: " + state.toString(), R.drawable.point).setDefaultSound(true).setNotificationID(102).setContentTitle("Driving State Changed").send();
		
		switch(state)
		{
		case DRIVING:
			// DRIVING
			break;
		case STATIONARY:
			// STATIONARY
			break;
		default:
			break;
		}
		
		
	}
	
	public static void onSuccessInitKitLocate(Context context, int status)
	{
		// Success initKitLocate
	}
	
	public static void onFailInitKitLocate(Context context, int status)
	{
		// Failed initKitLocate
	}
	
}
